Subject: Re: key permission problem $CYGWIN=ntea, OPENSSH
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: John Peacock <[email-masked]>, "Colliver, Robert" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Thu, 01 Nov 2001 12:23:01 -0500

At 12:03 PM 11/1/2001, John Peacock wrote:
>"Colliver, Robert" wrote:
> > 
> > After I set $CYGWIN=ntea I'm getting strange results chmod'ing files.
> > Specifcally my .ssh/id_dsa private key file for openssh.  It needs to have
> > -rw------- permissions, but I'm seeing this:
> > 
> > $ export $CYGWIN=ntea
> > $ chmod 600 id_dsa
> > $ ls -l id_dsa
> > -rw-r--r--    1 Administ None          736 Oct 29 13:05 id_dsa
> > 
> > At which point SSH fails because it thinks the key file is world readable.
> > So for grins I do this:
> > 
> > $ export $CYGWIN=""
> > $ chmod 600 id_dsa
> > $ ls -l id_dsa
> > -rw-r--r--    1 Administ None          736 Oct 29 13:05 id_dsa
> > 
> > Now SSH is perfectly happy... But I can't figure out why.  Is the flat file
> > that hold the extended attribute for "ntea" corrupted?
>
>Is your disk NTFS?  If not, you are not able to take advantage of several 
>features like ntea and ntsec (the latter is what you should be using anyways).

This is not quite right.  I'll direct you both to 

http://www.cygwin.com/cygwin-ug-net/using-filemodes.html

which explains the use of ntea.  If Robert's partition is NTFS though,
John's quite right to recommend the use of the ntsec option instead.
And if Robert's using Win9x, then it doesn't matter what option he sets.  
I think the FAQ entry:

Why doesn't chmod work?
http://www.cygwin.com/faq/faq_4.html#SEC44

points out the Win9x issue quite nicely.  It also gives a good synopsis 
of the differences between ntea and ntsec too!

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
118 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/